Menu

## AlignmentPattern extends ResultPoint
in package

AlignmentPattern.php : 20

Encapsulates an alignment pattern, which are the smaller square patterns found in all but the simplest QR Codes.

##### Tags

author

  Sean Owen

### Table of Contents

$estimatedModuleSize : float
$x : float
$y : float
__construct() : mixed
aboutEquals() : bool
  Determines if this finder pattern "about equals" a finder pattern at the stated position and size -- meaning, it is at nearly the same center with nearly the same size.
combineEstimate() : self
  Combines this object's current estimate of a finder pattern position and module size with a new estimate. It returns a new FinderPattern containing an average of the two.
getEstimatedModuleSize() : float
getX() : float
getY() : float

### Properties

#### $estimatedModuleSize

ResultPoint.php : 26
`protected float $estimatedModuleSize`

#### $x

ResultPoint.php : 24
`protected float $x`

#### $y

ResultPoint.php : 25
`protected float $y`

### Methods

#### __construct()

ResultPoint.php : 31
`public __construct(float $x, float $y, float $estimatedModuleSize) : mixed`

##### Parameters

$x : float
$y : float
$estimatedModuleSize : float

##### Return values

mixed —

#### aboutEquals()

ResultPoint.php : 62

Determines if this finder pattern "about equals" a finder pattern at the stated position and size -- meaning, it is at nearly the same center with nearly the same size.

`public aboutEquals(float $moduleSize, float $i, float $j) : bool`

##### Parameters

$moduleSize : float
$i : float
$j : float

##### Return values

bool —

#### combineEstimate()

AlignmentPattern.php : 26

Combines this object's current estimate of a finder pattern position and module size with a new estimate. It returns a new FinderPattern containing an average of the two.

`public combineEstimate(float $i, float $j, float $newModuleSize) : self`

##### Parameters

$i : float
$j : float
$newModuleSize : float

##### Return values

self —

#### getEstimatedModuleSize()

ResultPoint.php : 54
`public getEstimatedModuleSize() : float`

##### Return values

float —

#### getX()

ResultPoint.php : 40
`public getX() : float`

##### Return values

float —

#### getY()

ResultPoint.php : 47
`public getY() : float`

##### Return values

float —

## Search results